fix btrbk service
[distro-setup] / myunison
index 493d79594de5177a87081da5e1c611e2fce55c52..f68ae34af1337111201affd1d8ff4279eec63ada 100755 (executable)
--- a/myunison
+++ b/myunison
@@ -1,4 +1,4 @@
-#!/bin/bash -l
+#!/bin/bash -lx
 
 set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
@@ -9,13 +9,13 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 # which did not have the whole p subvol.
 
 gen_args=()
-do_snapshot=true
+do_snapshot=false
 batch=false
 while [[ $1 ]]; do
     case $1 in
         -ob) gen_args+=(--ours -b); batch=true; shift ;;
         -b) gen_args+=(-b); batch=true; shift ;;
-        -n) do_snapshot=false; shift ;;
+        -n) do_snapshot=true; shift ;;
         -h|--help)
             echo "$0: help is head of $BASH_SOURCE:"
             head -n 30 "$BASH_SOURCE"
@@ -83,6 +83,9 @@ else
     type -t $f &>/dev/null || f=unison-gtk2 # for arch
 fi
 
+
+  s ln -sTf ~/.unison /root/.unison
+
 if s $f  "$host"; then
     if [[ $host == frodo ]]; then
         # only send data to the machine i do full backups to